Subject: Re: Re: Re: Re: limited network bandwidth with 3.2.x kernels

From: [email-masked]
Date: Tue, 21 Feb 2012 20:53:51 +0200

В сообщении от Вторник 21 февраля 2012 18:31:24 вы написали:
> Le mardi 21 février 2012 à 19:19 +0200, [email-masked] a
> 
> écrit :
> > Download speed from ftp3.de.freebsd.org increases from 5 MB/s to 10 MB/s
> > after I set "sysctl net.ipv4.tcp_rmem="4096 87380 4127616""" in 3.2.7 kernel.
> > 
> > --2012-02-21 18:56:36--  ftp://ftp3.de.freebsd.org/pub/FreeBSD/ISO-IMAGES-i386/8.2/FreeBSD-8.2-RELEASE-i386-dvd1.iso.xz
> > 100%[======================================>] 2 066 424 512 10,3M/s  in 3m 17s
> > 2012-02-21 18:59:56 (9,99 MB/s) - «/dev/null» saved [2066424512]
> 
> Yep, this confirms the thing. You were at the limit of optimal receiver
> window. Find a more remote server (80ms rtt for example) and you'll see
> that your default tcp_rmem[2] was too small, even on 3.1.10 kernel.

I confirm that 3.1.10 kernel also have similar problems with speed.
Download speed from dl.fedoraproject.org(209.132.181.24, rtt 190ms)
increased after I set "sysctl net.ipv4.tcp_rmem="4096 87380 4127616"""

If net.ipv4.tcp_rmem = 4096 87380 897664 then I have exactly 
3.5 MB/s speed limitation:

http://img3.imageshack.us/img3/28/netipv4tcprmem409687380.png

--2012-02-21 20:25:10--  http://dl.fedoraproject.org/pub/fedora/linux/releases/16/Fedora/i386/iso/Fedora-16-i386-DVD.iso
100%[============================>] 3 806 375 936 3,28M/s   in 20m 45s
2012-02-21 20:45:56 (2,92 MB/s) - «/dev/null» saved [3806375936/3806375936]

But if net.ipv4.tcp_rmem = 4096 87380 4127616 no such limitation,
download speed vary in some ranges but it can be larger than 3,5 MB/s:

http://img27.imageshack.us/img27/28/netipv4tcprmem409687380.png

--2012-02-21 20:09:56--  http://dl.fedoraproject.org/pub/fedora/linux/releases/16/Fedora/i386/iso/Fedora-16-i386-DVD.iso
00%[==============================>] 3 806 375 936 4,65M/s   im 13m 3s
2012-02-21 20:22:59 (4,64 MB/s) - «/dev/null» saved [3806375936/3806375936]